package controller

import (
	"ems.agt/src/framework/vo/result"
	commonService "ems.agt/src/modules/common/service"
	"github.com/gin-gonic/gin"
)

// 实例化控制层 CommontController 结构体
var NewCommont = &CommontController{
	commontService: commonService.NewCommontImpl,
}

// 通用请求
//
// PATH /
type CommontController struct {
	// 通用请求服务
	commontService commonService.ICommont
}

// 哈希加密
//
// GET /hash
func (s *CommontController) Hash(c *gin.Context) {
	c.String(200, "commont Hash")
}

// 系统可暴露的配置信息
//
// GET /sys-conf
func (s *CommontController) SysConfig(c *gin.Context) {
	data := s.commontService.SystemConfigInfo()
	c.JSON(200, result.OkData(data))
}
